Create or update class

Create a new class or update an existing class by its sourcedId

Path Parameters
  • sourcedId
    Type: string
    required
Body·OneRosterClassInput
required
application/json
  • class
    Type: object · OneRosterClassBaseInput
    required
Responses
  • 201

    Class created successfully

  • 204

    Class updated successfully

  • application/json
  • application/json
  • application/json
Request Example for put/rostering/1.0/classes/{sourcedId}
curl 'https://platform.dev.timeback.com/rostering/1.0/classes/{sourcedId}' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "class": {
    "sourcedId": "",
    "status": "active",
    "metadata": null,
    "title": "",
    "classCode": "",
    "classType": "",
    "location": null,
    "grades": [
      ""
    ],
    "subjects": [
      ""
    ],
    "subjectCodes": [
      ""
    ],
    "periods": [
      ""
    ],
    "course": {
      "href": "",
      "sourcedId": "",
      "type": "academicSession"
    },
    "school": {
      "href": "",
      "sourcedId": "",
      "type": "academicSession"
    },
    "terms": [
      {
        "href": "",
        "sourcedId": "",
        "type": "academicSession"
      }
    ]
  }
}'
No Body